none
SQL Server 2008安裝時要求安裝.NET Framework 2.0SP2的問題~~ RRS feed

  • 問題

  • 請教各位先進,

    小弟在全新安裝的server 2008欲安裝SQL server 2008時發生了一個問題

    解開壓縮檔正開始安裝時,系統跳出警示訊息說明:

    「SQL Server 2008 Setup requires Microsoft .NET Framework 2.0 SP2 to be installed......blablabla~~」

    安裝完server2008之後系統御舍已經安裝了.NET Framework 3.5了....

    而我試圖上官網尋找.NET Framework  2.0 SP2時也發現並沒有這個版本...??

     

    不知有誰曾經遇過相關的問題,或是能否解答我這個疑問呢?

    感激~!!

    2008年7月29日 下午 03:44

解答

  • Microsoft SQL Server 2008 英文版已經 RTM 了,詳情請參考這篇文章:http://alexchuo.blogspot.com/2008/08/microsoft-sql-server-2008.html

    於安裝 Microsoft SQL Server 2008 RTM 時,會檢查是否已經安裝了 .NET Framework 2.0 SP2(Windows Vista 之前的作業系統)或  .NET Framework 3.5 SP1 (Windows Vista 之後的作業系統)與 Windows Installer 4.5,若沒有則會詢問是否要安裝。

    於安裝完 .NET Framework、Windows Installer 之後,需要重新啟動電腦。


    在 Windows Server 2008 的安裝畫面

    2008年8月8日 上午 03:30
    版主

所有回覆

  • Microsoft .NET Framework 2.0 SP2 目前尚未放在微軟網站上,預計當 SQL Server 2008 RTM 時,才會放上去。

    由於 .NET Framework 3.5 SP1(目前尚在 Beta 階段) 會包含 .NET Framework SP2,因此當 SQL Server 2008 RTM 時,只需安裝 .NET Framework 3.5 SP1 或 .NET Framework SP2 便可順利安裝 SQL Server 2008 RTM 版

    2008年7月29日 下午 05:11
    版主
  • I got similar message when install sql2k8 rc0, just clicked ok (if I remember correctly) and it continued.

     

    2008年7月30日 下午 02:08
  • Microsoft SQL Server 2008 英文版已經 RTM 了,詳情請參考這篇文章:http://alexchuo.blogspot.com/2008/08/microsoft-sql-server-2008.html

    於安裝 Microsoft SQL Server 2008 RTM 時,會檢查是否已經安裝了 .NET Framework 2.0 SP2(Windows Vista 之前的作業系統)或  .NET Framework 3.5 SP1 (Windows Vista 之後的作業系統)與 Windows Installer 4.5,若沒有則會詢問是否要安裝。

    於安裝完 .NET Framework、Windows Installer 之後,需要重新啟動電腦。


    在 Windows Server 2008 的安裝畫面

    2008年8月8日 上午 03:30
    版主